@import "../../react-cart/assets/base/responsivity";

.mtd {
  .quantity, .woocommerce-variation-availability {
    display: none !important;
  }

  .mtd__form {
    display: none;
  }

  label {
    display: block;
    font-size: 20px;
    margin-right: 20px;
    margin-bottom: 0;
  }

  input:not([type="submit"]), select, textarea {
    width: 100%;
  }

  .mtd__gift-header {
    cursor: pointer;
  }

  .mtd__gift-content {
    display: none;

    &.mtd__gift-content--active {
      display: block;
    }
  }

  .mtd__product {
    margin-bottom: 50px;
  }

  h2 {
    text-transform: uppercase;
  }

  .mtd__details {
    border: 3px solid lightgray;
    padding: 30px !important;
  }

  h3 {
    display: inline-block;
  }

  .amount {
    font-size: 23px;
    color: #1FC01B;
  }

  .variations {
    margin-top: 30px;

    select {
      margin-bottom: 0;
    }

    td {
      padding: 10px 0;
      vertical-align: middle;

      label {
        margin-top: 5px;
      }
    }
  }

  .single_add_to_cart_button {
    background: black !important;
    color: white;
    text-transform: uppercase;
    font-size: 20px;
  }

  &.mtd__checkout {
    clear: both;
    padding: 20px;
    border: 2px solid lightgray;
    position: relative;

    .mtd__gift-header {
      position: relative;

      h4 {
        margin-bottom: 0;
      }

      &:after {
        content: ' ';
        border: solid black;
        border-width: 0 3px 3px 0;
        display: inline-block;
        padding: 3px;
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        position: absolute;
        top: 6px;
        right: 0;
      }
    }

    .mtd__gift-content {
      margin-top: 20px;
    }
  }

  .reset_variations {
    display: none !important;
  }

  abbr, abbr[title] {
    border-bottom: none !important;
  }

  .variations {
    width: 300px;
  }

  .carousel-main {
    width: 100%;
    float: right;
    @include md {
      width: calc(100% - 95px);
    }

    .carousel-cell {
      width: 100%;
    }

    .flickity-button {
      display: block;
      @include md {
        display: none;
      }
    }
  }

  .carousel-nav {
    display: none;
    @include md {
      width: 400px;
      transform: rotate(90deg) translate(5px, -100%);
      transform-origin: left top;
      display: block;
    }

    .carousel-cell {
      transform: rotate(-90deg);
      width: 60px;
      height: 60px;
      cursor: pointer;
      margin-right: 1rem;
      font-size: 1.4rem;

      /* selected cell */
      &.is-nav-selected {
        background: #ED2;
      }
    }
  }

  .flickity-button {
    width: 40px;
    height: 40px;
    background: transparent;
    border: 1px solid black;
    border-radius: 0;
    &.previous {
      left: -40px;
    }

    &.next {
      right: -40px;
    }
    &:hover {
      background: black;
      color: white;
    }
    &:focus {
      background: black;
      color: white;
      border: none;
      box-shadow: none;
    }
  }
  &__gallery--thumbs {
    position: relative;
    top: -50px;
  }
}
